#ifndef __AM2302__
#define __AM2302__

/* Includes ------------------------------------------------------------------*/
// how many timing transitions we need to keep track of. 2 * number bits + extra
#define MAXTIMINGS 85
#define DHT11 11
#define DHT22 22
#define DHT21 21
#define AM2301 21
#define AM2302 22


#define FALSE 0
#define TRUE 1
#define false 0
#define true 1

int DHTInit(GPIO_TypeDef *port, uint16_t pin, unsigned char type, unsigned char count);

void DHTbegin(void);
float DHTreadTemperature(char S);
float DHTconvertCtoF(float);
float DHTconvertFtoC(float);
float DHTcomputeHeatIndex(float tempFahrenheit, float percentHumidity);
float DHTreadHumidity(void);
char DHTread(void);


#endif
