#ifndef __DS18B20__
#define __DS18B20__

/* Includes ------------------------------------------------------------------*/
int DS18Init(GPIO_TypeDef *port, uint16_t pin);
unsigned char ow_reset(void);
unsigned char read_bit(void);
void write_bit(char bitval);
unsigned char read_byte(void);
void FindDevices(void);
unsigned char First(void);
unsigned char Next(void);
unsigned char ow_crc( unsigned char x);
void Read_ScratchPad(void);
void Read_ROMCode(void);
unsigned char Send_MatchRom(void);
float Read_Temperature(void);
int Start_Conversion(void);

#define FALSE 0
#define TRUE 1
#define false 0
#define true 1


#endif
